org.apache.cassandra.db.rows

## Class AbstractRangeTombstoneMarker<B extends ClusteringBoundOrBoundary>

- java.lang.Object
- - org.apache.cassandra.db.rows.AbstractRangeTombstoneMarker<B>

All Implemented Interfaces:
  Clusterable, RangeTombstoneMarker, Unfiltered

Direct Known Subclasses:
  RangeTombstoneBoundaryMarker, RangeTombstoneBoundMarker

    public abstract class AbstractRangeTombstoneMarker<B extends ClusteringBoundOrBoundary>
    extends java.lang.Object
    implements RangeTombstoneMarker

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.rows.RangeTombstoneMarker

`RangeTombstoneMarker.Merger`

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.rows.Unfiltered

`Unfiltered.Kind`

### Field Summary

Fields
`protected B` `bound`

### Constructor Summary

Constructors
`protected` `AbstractRangeTombstoneMarker(B bound)`

### Method Summary

All Methods Instance Methods Concrete Methods
`B` `clustering()`
`boolean` `isBoundary()`
`boolean` `isClose(boolean reversed)`
`boolean` `isOpen(boolean reversed)`
`Unfiltered.Kind` `kind()` The kind of the atom: either row or range tombstone marker.
`java.lang.String` `toString(CFMetaData metadata, boolean fullDetails)`
`java.lang.String` `toString(CFMetaData metadata, boolean includeClusteringKeys, boolean fullDetails)`
`void` `validateData(CFMetaData metadata)` Validate the data of this atom.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.rows.RangeTombstoneMarker

`closeBound, closeDeletionTime, closeIsInclusive, copy, isEmpty, openBound, openDeletionTime, openIsInclusive, withNewOpeningDeletionTime`

### Methods inherited from interface org.apache.cassandra.db.rows.Unfiltered

`digest, digest, isRangeTombstoneMarker, isRow, toString`

### Field Detail

#### bound

    protected final B extends ClusteringBoundOrBoundary bound

### Constructor Detail

#### AbstractRangeTombstoneMarker

    protected AbstractRangeTombstoneMarker(B bound)

### Method Detail

#### clustering

    public B clustering()

Specified by:
  `clustering` in interface `Clusterable`
Specified by:
  `clustering` in interface `RangeTombstoneMarker`

#### kind

    public Unfiltered.Kind kind()

Description copied from interface: `Unfiltered`
The kind of the atom: either row or range tombstone marker.

Specified by:
  `kind` in interface `Unfiltered`

#### isBoundary

    public boolean isBoundary()

Specified by:
  `isBoundary` in interface `RangeTombstoneMarker`

#### isOpen

    public boolean isOpen(boolean reversed)

Specified by:
  `isOpen` in interface `RangeTombstoneMarker`

#### isClose

    public boolean isClose(boolean reversed)

Specified by:
  `isClose` in interface `RangeTombstoneMarker`

#### validateData

    public void validateData(CFMetaData metadata)

Description copied from interface: `Unfiltered`
Validate the data of this atom.

Specified by:
  `validateData` in interface `Unfiltered`
Parameters:
  `metadata` - the metadata for the table this atom is part of.

#### toString

    public java.lang.String toString(CFMetaData metadata,
                                     boolean fullDetails)

Specified by:
  `toString` in interface `Unfiltered`

#### toString

    public java.lang.String toString(CFMetaData metadata,
                                     boolean includeClusteringKeys,
                                     boolean fullDetails)

Specified by:
  `toString` in interface `Unfiltered`